Redmine - Defect #7593

Git: Associated revisions in issue view doesn't use the Referencing keywords
2011-02-09 18:09 - Matthias Neubert

Status: Closed Start date: 2011-02-09
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.1.0
Description

Hello,

in Redmine 1.10 and 1.11 | found that using GIT as SCM

the linking of commits and the Issue using " keyword #123 " only

works for keyword refs (eg. ref #234) , but not for others, e.g. IssuelD or any self defined keywords.
Only when writing refs # 123 in "Associated revisions" in the issue #123 the commit is listed.

Is it a question of a redmine setting or is it a real bug?

History

#1 - 2011-02-16 12:46 - Matthias Neubert

| guess it is a bug. Can someone confirm that this is the case (at least using a git repository)

btw. : | forgot to set cathegory SCM and now | cannot change anymore

#2 - 2011-02-16 12:55 - Toshi MARUYAMA
- Category set to SCM

#3 - 2011-02-16 12:58 - Toshi MARUYAMA

- Subject changed from Associated revisions in issue view doesn't use the Referencing keywords to Git: Associated revisions in issue view doesn't use
the Referencing keywords

Git has 7 days problem #7146.

#4 - 2011-02-17 12:52 - Matthias Neubert

Its not the 7 days Problem. Also we don't have problems gettings references to commits in not-master branches.
As long as we use "refs" in commit message everything works fine.
But "IssuelD" an every other keyword does not work.

btw: when in repository view the #12345 is linked correctly to the issue 12345 in the commit messages.
The problem is the way back: listing commits in issue view by using other keywords than refs or even none (which would be best for me) using the
special Keyword IssuelD.

Used components:
Git1.7.3.1
Redmine 1.1.0
MySQL

#5 - 2011-02-17 15:53 - Toshi MARUYAMA
- File setting.png added

- File hg-repo.png added

- File issue.png added

It works fine on my Mercurial test repository.

#6 - 2011-02-18 00:14 - Toshi MARUYAMA

- Status changed from New to Closed
https://www.redmine.org/issues/123
https://www.redmine.org/issues/234
https://www.redmine.org/issues/123
https://www.redmine.org/issues/7146

- Resolution set to Invalid

You can use "™ in setting.
For example.
https://www.chiliproject.org/issues/170

#7 - 2011-02-18 11:10 - Matthias Neubert
Hello,
is it possible that changing the reference keyword (e.g. to *, which | already tried)

only affects new commits, which happen after setting the keyword to * ?
Is there a rake command to run refresh all these tickets to use the new * as reference key?

regards
Matthias

#8 - 2011-02-18 11:44 - Toshi MARUYAMA

No.
There is feature issue #1273.

#9 - 2011-02-18 17:04 - Matthias Neubert
I'll try this as an workarround:

"I had to delete the repository from the project and re-add it to get the associations updated.”

#10 - 2011-02-18 17:08 - Matthias Neubert

Works!
